package gogs

import (
	"context"

	"git.unistack.org/unistack-org/pkgdash/internal/configcli"
	"git.unistack.org/unistack-org/pkgdash/internal/modules"
)

type Gogs struct {
	Token string
}

func NewGogs(cfg configcli.Config) *Gogs {
	return &Gogs{
		Token: cfg.Source.Token,
	}
}

func (g *Gogs) RequestOpen(ctx context.Context, branch string, path string, mod modules.Update) error {
	return nil
}
func (g *Gogs) RequestClose(ctx context.Context, cfg *configcli.Config, branch string, path string) error {
	return nil
}
func (g *Gogs) RequestUpdate(ctx context.Context, cfg *configcli.Config, branch string, path string, mod modules.Update) error {
	return nil
}
